## org.eclipse.jst.jsf.context.symbol
Interface IBeanMethodSymbol

All Superinterfaces:
  IDescribedInDetail, IMethodSymbol, ISymbol

    public interface IBeanMethodSymbol

extends IDescribedInDetail, IMethodSymbol

A representation of the model object 'IBean Method Symbol'.

Provisional API - subject to change

The following features are supported:

- `Owner`

See Also:
  `SymbolPackage.getIBeanMethodSymbol()`

Field Summary
`static java.lang.String` `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`IJavaTypeDescriptor2` `getOwner()` Returns the value of the 'Owner' reference
`void` `setOwner(IJavaTypeDescriptor2 value)` Sets the value of the '`Owner`' reference

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IDescribedInDetail
`getDetailedDescription, setDetailedDescription`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IMethodSymbol
`getSignature, setSignature`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`getName, setName`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getOwner

    IJavaTypeDescriptor2 getOwner()

  Returns the value of the 'Owner' reference.

  If the meaning of the 'Owner' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner' reference.
  See Also:
    `setOwner(IJavaTypeDescriptor2)`, `SymbolPackage.getIBeanMethodSymbol_Owner()`

### setOwner

    void setOwner(IJavaTypeDescriptor2 value)

  Sets the value of the '`Owner`' reference.

  Parameters:
    `value` - the new value of the 'Owner' reference.
  See Also:
    `getOwner()`